Bug 850330 - [ovirt-engine-dwh] Setup fails on missing file
[ovirt-engine-dwh] Setup fails on missing file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity unspecified
: ---
: ---
Assigned To: Yaniv Lavi
David Botzer
integration
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 10:10 EDT by Kiril Nesenko
Modified: 2014-07-10 20:09 EDT (History)
8 users (show)

See Also:
Fixed In Version: SI15 - rhevm-dwh-3.1.0-9.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (42.28 KB, text/x-log)
2012-08-21 10:10 EDT, Kiril Nesenko
no flags Details
logs (4.80 KB, text/x-log)
2012-08-21 10:12 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-08-21 10:10:28 EDT
Created attachment 605943 [details]
logs

Description of problem:
Setup fails on missing file.


2012-08-21 16:11:15::DEBUG::ovirt-engine-reports-setup::828::root:: Restoring previous version
2012-08-21 16:11:15::ERROR::ovirt-engine-reports-setup::850::root:: Exception caught!
2012-08-21 16:11:15::ERROR::ovirt-engine-reports-setup::851::root:: Traceback (most recent call last):
  File "/usr/bin/ovirt-engine-reports-setup", line 773, in main
    updateServletDbRecord()
  File "/usr/share/ovirt-engine-reports/decorators.py", line 27, in wrapped_f
    raise Exception(instance)
Exception: Could not find /etc/ovirt-engine/web-conf.js



Version-Release number of selected component (if applicable):
rhevm-dwh-3.1.0-1.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. run ovirt-engine-dwh-setup
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Kiril Nesenko 2012-08-21 10:12:57 EDT
Created attachment 605944 [details]
logs

Wrong attachement. Attaching a new one.
Comment 3 Kiril Nesenko 2012-08-21 10:15:05 EDT
Please ignore the description of the bz.

Description of problem:

Setup fails on missing file.

2012-08-21 17:11:57::ERROR::decorators::27::root:: Traceback (most recent call last):
  File "/usr/share/ovirt-engine-dwh/decorators.py", line 20, in wrapped_f
    output = f(*args)
  File "/usr/bin/ovirt-engine-dwh-setup", line 120, in setDbPass
    (fqdn, port) = getHostParams()
  File "/usr/bin/ovirt-engine-dwh-setup", line 146, in getHostParams
    raise Exception("Could not find %s" % FILE_WEB_CONF)
Exception: Could not find /etc/ovirt-engine/web-conf.js

2012-08-21 17:11:57::ERROR::ovirt-engine-dwh-setup::257::root:: Exception caught!
2012-08-21 17:11:57::ERROR::ovirt-engine-dwh-setup::258::root:: Traceback (most recent call last):
  File "/usr/bin/ovirt-engine-dwh-setup", line 236, in main
    setDbPass(db_dict)
  File "/usr/share/ovirt-engine-dwh/decorators.py", line 28, in wrapped_f
    raise Exception(instance)
Exception: Could not find /etc/ovirt-engine/web-conf.js

Version-Release number of selected component (if applicable):
rhevm-dwh-3.1.0-1.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. run ovirt-engine-dwh-setup
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 5 David Botzer 2012-08-23 12:26:27 EDT
Fixed 3.1/si15 (both reports & DWH)
rhevm-dwh-3.1.0-9.el6ev.noarch
rhevm-reports-3.1.0-9.el6ev.noarch

Using the workaround : vi /etc/sysconfig/ovirt-engine
appending value ENGINE_FQDN=myhost.redhat.com

Fixed 3.1/si15 (both reports & DWH)
rhevm-dwh-3.1.0-9.el6ev.noarch
rhevm-reports-3.1.0-9.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.